Debian Bug report logs - #465229
yelp: Recode manual pages to UTF-8

version graph

Package: yelp; Maintainer for yelp is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for yelp is src:yelp.

Reported by: Colin Watson <cjwatson@debian.org>

Date: Mon, 11 Feb 2008 10:37:42 UTC

Severity: wishlist

Tags: patch

Found in version yelp/2.20.0-1

Fixed in version yelp/2.20.0-2

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jerry Haltom <wasabi@larvalstage.net>:
Bug#465229; Package yelp. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
New Bug report received and forwarded. Copy sent to Jerry Haltom <wasabi@larvalstage.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: submit@bugs.debian.org
Subject: yelp: Recode manual pages to UTF-8
Date: Mon, 11 Feb 2008 10:36:15 +0000
[Message part 1 (text/plain, inline)]
Package: yelp
Version: 2.20.0-1
Severity: wishlist
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch hardy

The attached patch uses a new facility provided by man-db 2.5.1 to
recode manual pages to UTF-8 while reading them. This allows yelp's
rendering code to work regardless of the source encoding of the manual
page, without it having to have lots of logic duplicated from man-db to
figure this out. (At present, yelp breaks in different ways depending on
the source encoding; see e.g.
http://lists.debian.org/debian-i18n/2007/10/msg00081.html.)

This facility is specific to man-db, and so at present not suitable for
upstream (without some kind of run-time logic to figure out whether the
facility is available).

See also:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=440420
  https://bugs.launchpad.net/ubuntu/+source/yelp/+bug/154829

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]
[yelp-man-utf8.patch (text/x-diff, attachment)]

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 465229-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 465229-close@bugs.debian.org
Subject: Bug#465229: fixed in yelp 2.20.0-2
Date: Sat, 16 Feb 2008 01:17:03 +0000
Source: yelp
Source-Version: 2.20.0-2

We believe that the bug you reported is fixed in the latest version of
yelp, which is due to be installed in the Debian FTP archive:

yelp_2.20.0-2.diff.gz
  to pool/main/y/yelp/yelp_2.20.0-2.diff.gz
yelp_2.20.0-2.dsc
  to pool/main/y/yelp/yelp_2.20.0-2.dsc
yelp_2.20.0-2_amd64.deb
  to pool/main/y/yelp/yelp_2.20.0-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 465229@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated yelp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 16 Feb 2008 01:51:38 +0100
Source: yelp
Binary: yelp
Architecture: source amd64
Version: 2.20.0-2
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 yelp       - Help browser for GNOME 2
Closes: 448386 465229
Changes: 
 yelp (2.20.0-2) unstable; urgency=low
 .
   [ Loic Minier ]
   * Set GNOME Team as maintainer.
 .
   [ Josselin Mouette ]
   * 01_html_crash.patch: stolen from upstream SVN. Fix a crash when
     opening HTML files. Closes: #448386.
   * Depend on man-db 2.5.1-1.
   * 02_man-utf8.patch: patch from Colin Watson to recode manual pages
     to UTF-8 using Debian’s man-db. Closes: #465229.
   * Standards version is 3.7.3.
Files: 
 d2b2667beb4fcb57f97f54d48286b8df 1128 gnome optional yelp_2.20.0-2.dsc
 c3e22a0375762ee4dc71e219b1135cec 8371 gnome optional yelp_2.20.0-2.diff.gz
 d5115dc6a11cc2b31282330e67021091 705594 gnome optional yelp_2.20.0-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHtjfWrSla4ddfhTMRAjOUAKCsZ/uUxHITcRnfVKgxaPcJwaNgPwCgq1G3
fe+weMhLOSInublepVx4/64=
=nizq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Mar 2008 07:30:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:33:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.